<div class="container-fluid height100">
	<section id="topinner">
		<h3 class="toptitle">
			NS#{{ (transaction.AddressBilling[0].firstname | limitTo:1) | uppercase  }}{{ (transaction.AddressBilling[0].lastname | limitTo:1) | uppercase }}{{transaction.Transaction.user_id}}
			<span data-quickship-tabs=""></span>
                        <input type="hidden" id="hdnTranID" value="{{itemId}}"/>
		</h3>
	</section>
	<div class="innersection">
		<h4 class="innersection-title">Notes</h4>
		<div class="row">
			<h3 class="pull-left clearfix">History</h3>
			<div class="col-md-12 allNotes">
				<div class="notes-history" ng-repeat="history in Notes | orderBy: -history.created">
					<div class="col-md-5">{{history.created}}</div>
					<div class="col-md-7">{{history.note}}</div>
				</div>
			</div>

			<div class="col-md-12">
				<div class="notes-add-edit">
					<div style="margin-right:5px; margin-top: 30px">
						Add New: <input type="text" name="note-desc" ng-model="newNote"  id="noteDesc" style="width:80%;" value=""/>
						<button id="btnSaveBalanceDue" ng-click="saveNote(transaction.Transaction.id, transaction.Transaction.user_id)" ng-disabled="!newNote" ng-class="{disableclass: newNote == ''}" style="display:inline-block;">Save</button>
					</div>
					<span class="success" style="color: #ff5c5c" ng-if="noteAddResponse">{{noteAddResponse}}</span>
				</div>
			</div>
		</div>
	</div>
	<ng-include data-src="templateUrl"></ng-include>
</div>

<style>
	.allNotes {
		max-height: 250px !important;
		overflow: auto;
	}
</style>